//
//  ChartBuilder.h
//

#import <Cocoa/Cocoa.h>


@interface ChartBuilder : NSObject {

}

- (void)buildPriceChartFromDataSet:(NSArray*)dataArray atChartIndex:(int)chartIndex;
- (void)buildVolumeChartFromDataSet:(NSArray*)dataArray atChartIndex:(int)chartIndex;

- (void)setChartTitle:(NSString*)aTitle subTitle:(NSString*)aSubTitle forChart:(int)chartIndex;
- (void)exportChartToPath:(NSString*)path forChart:(int)chartIndex;


@end
