//
//  ActionController.h
//

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#define PRICE_CHART 2
#define VOLUME_CHART 3


@interface ActionController : NSObject 
{
    IBOutlet	NSWindow					*myWindow;
    IBOutlet	NSTextField					*tickerText;
    IBOutlet	NSPopUpButton				*fromDateMonth;
    IBOutlet	NSPopUpButton				*fromDateDay;
    IBOutlet	NSPopUpButton				*fromDateYear;
    IBOutlet	NSPopUpButton				*toDateMonth;
    IBOutlet	NSPopUpButton				*toDateDay;
    IBOutlet	NSPopUpButton				*toDateYear;
    IBOutlet	NSImageView					*priceView;
    IBOutlet	NSImageView					*volumeView;
    IBOutlet	NSProgressIndicator			*progressIndicator;
    IBOutlet	NSTextField					*statusMessage;

    BOOL		chartingInProgress;
}

- (IBAction)generateChart:sender;


@end
